From 8dd435f6fe70c28bfe5dc4802da06648dc457cf9 Mon Sep 17 00:00:00 2001
From: Charles Bousseau <cbousseau@anaconda.com>
Date: Wed, 14 Jun 2023 22:52:16 -0400
Subject: [PATCH] branding

---
 Lib/platform.py     | 2 +-
 Python/getversion.c | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/Lib/platform.py b/Lib/platform.py
index 7bb222088d..43eac9e2fc 100755
--- a/Lib/platform.py
+++ b/Lib/platform.py
@@ -1067,7 +1067,7 @@ def _sys_version(sys_version=None):
         return result
 
     sys_version_parser = re.compile(
-        r'([\w.+]+)\s*'  # "version<space>"
+        r'([\w.+]+)\s*(?:\ \|\ packaged\ by\ Anaconda,\ Inc\.\ \|)?\s*'
         r'\(#?([^,]+)'  # "(#buildno"
         r'(?:,\s*([\w ]*)'  # ", builddate"
         r'(?:,\s*([\w :]*))?)?\)\s*'  # ", buildtime)<space>"
diff --git a/Python/getversion.c b/Python/getversion.c
index 5db836ab4b..b454828348 100644
--- a/Python/getversion.c
+++ b/Python/getversion.c
@@ -6,7 +6,7 @@
 #include "patchlevel.h"
 
 static int initialized = 0;
-static char version[250];
+static char version[300];
 
 void _Py_InitVersion(void)
 {
@@ -14,7 +14,8 @@ void _Py_InitVersion(void)
         return;
     }
     initialized = 1;
-    PyOS_snprintf(version, sizeof(version), "%.80s (%.80s) %.80s",
+    PyOS_snprintf(version, sizeof(version),
+                  "%.80s | packaged by Anaconda, Inc. | (%.80s) %.80s",
                   PY_VERSION, Py_GetBuildInfo(), Py_GetCompiler());
 }
 
-- 
2.32.1 (Apple Git-133)

